
package de.ivu.elect.business.stimmeingabe.entity;

public enum Stimmeingabefehlerart {

  WARNING,
  ERROR;

  private Stimmeingabefehlerart() {
  }

  public boolean isWarning() {
    return this.equals(WARNING);
  }

  public boolean isError() {
    return this.equals(ERROR);
  }

  public static Stimmeingabefehlerart of(StimmeingabePlausiFehlerart fehlerart) {
    if (StimmeingabePlausiFehlerart.WARNING.equals(fehlerart)) {
      return WARNING;
    }

    if (StimmeingabePlausiFehlerart.ERROR.equals(fehlerart)) {
      return ERROR;
    }

    return null; // LEGACY!!!
  }
}
